> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Source Batch



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/sources/batches/{batch_id}
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/sources/batches/{batch_id}:
    get:
      summary: Source Batch
      operationId: source_batch_v1_wikis__wiki_id__sources_batches__batch_id__get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: batch_id
          required: true
          schema:
            title: Batch Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedSourceBatchDTO'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedSourceBatchDTO:
      additionalProperties: false
      properties:
        batch_id:
          title: Batch Id
          type: string
        created_at:
          title: Created At
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        source_count:
          title: Source Count
          type: integer
        status:
          $ref: '#/components/schemas/HostedSourceBatchStatus'
        status_label:
          title: Status Label
          type: string
        status_state:
          enum:
            - ready
            - running
            - failed
            - unknown
          title: Status State
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - batch_id
        - wiki_id
        - status
        - status_state
        - status_label
        - source_count
        - summary
        - error
        - created_at
        - updated_at
        - finished_at
      title: HostedSourceBatchDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedSourceBatchStatus:
      enum:
        - uploading
        - queued
        - completed
        - failed
      title: HostedSourceBatchStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````